/// Generated By XFlutter Cli.
/// 
/// more info: https://medium.com/@aghiadodeh
import 'package:get_it/get_it.dart';

/// create a global class instance
void registerSingleton<T extends Object>(T instance) {
  try {
    GetIt.I.registerSingleton<T>(instance);
  } catch (_) {
    /// avoid register more than one time.
  }
}

/// get the global instance
T getSingleton<T extends Object>() {
  return GetIt.I.get<T>();
}

/// remove global instance
Future<void> unregisterSingleton<T extends Object>() async {
  await GetIt.I.unregister<T>();
}
